> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search users

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/user/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/user/search:
    post:
      tags:
        - User Route
      summary: search users
      description: Search by params from response dto
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoUserDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    QuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        where:
          description: Query string to search for data. Represent SQL 'where'
          type: string
          example: field1='value' and field2<>'value2'
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/SortDto'
        trackTotal:
          description: Return total results field if true
          default: false
          type: boolean
    PaginationDtoUserDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/UserDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    SortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        order:
          description: 'Order for the sorting. Default: ASC'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder'
    UserDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        organisationId:
          format: int64
          description: ID of the organisation
          type: integer
        firstName:
          description: The user's first name.
          type: string
        lastName:
          description: The user's last name.
          type: string
        email:
          description: The user's email address.
          type: string
        externalId:
          description: Id of the user on auth service.
          type: string
        meta:
          description: A map the user's meta properties
          type: object
          additionalProperties: {}
        roles:
          description: A list of the user's roles.
          uniqueItems: true
          type: array
          items:
            type: string
    SortOrder:
      enum:
        - Asc
        - Desc
      type: string
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````